Subject: Re: [bug#30636] [PATCH] gnu: nautilus: Use meson-build-system, update to 3.26.2.

From: [email-masked] (Ludovic Courtès)
Date: Thu, 01 Mar 2018 13:59:52 +0100

Hi,

Rene <[email-masked]> skribis:

> a) When I run './pre-inst-env guix environment --ad-hoc nautilus -- gdb --args nautilus' I see:
>
> GNU gdb (GDB) 8.0.1
> Copyright (C) 2017 Free Software Foundation, Inc.
> License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
> This is free software: you are free to change and redistribute it.
> There is NO WARRANTY, to the extent permitted by law.  Type "show copying"
> and "show warranty" for details.
> This GDB was configured as "x86_64-unknown-linux-gnu".
> Type "show configuration" for configuration details.
> For bug reporting instructions, please see:
> <http://www.gnu.org/software/gdb/bugs/>.
> Find the GDB manual and other documentation resources online at:
> <http://www.gnu.org/software/gdb/documentation/>.
> For help, type "help".
> Type "apropos word" to search for commands related to "word"...
> "/home/jin/guix/nautilus": not in executable format: File truncated
> (gdb) r
> Starting program:  
> No executable file specified.
> Use the "file" or "exec-file" command.
>
> Why can not find the executable?

Perhaps PATH does not include the profile’s bin/ directory, which in
turn could be due to an incorrect .bashrc as described in
<https://www.gnu.org/software/guix/manual/html_node/Invoking-guix-environment.html#FOOT15>?

> b) What utility is required to use the code comments?
>      (--8<---------------cut here---------------start------------->8---)

Heheh, that’s ‘message-mode’ in Emacs (I use Gnus as my MUA).

> From 60e511e88035bb89fca74ab6d5a262834c98e485 Mon Sep 17 00:00:00 2001
> From: Rene <[email-masked]>
> Date: Wed, 28 Feb 2018 20:33:36 -0600
> Subject: [PATCH] gnu: nautilus: Use meson-build-system, update to 3.26.2.
>
> * gnu/packages/gnome.scm (nautilus): Update to 3.26.2.
> [build-system]: Use meson-build-system.
> [native-inputs]: Add desktop-file-utils and gtk+:bin.
> [inputs]: Add libselinux.

Applied, thanks!

Ludo’.